/**
 * 数据图表部件服务对象
 * 
 * @export
 * @class ${srfclassname('${ctrl.name}')}
 * @extends { IBizChartService }
 */
export class ${srfclassname('${ctrl.name}')} extends IBizChart {

    /**
     * Creates an instance of ${srfclassname('${ctrl.name}')}.
     * @param {*} opts
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    constructor(opts: any) {
        super({
            name: '${ctrl.name}',
            ...opts
        });
    }
    
    /**
     * 获取图表基础配置数据
     * 
     * @returns {*} 
     * @memberof ${srfclassname('${ctrl.name}')}Service
     */
    public getChartConfig(): any {
        <#assign title=ctrl.getPSDEChartTitle()>
        <#assign xaxislist=ctrl.getPSDEChartAxesesByPos('x')>
        <#assign yaxislist=ctrl.getPSDEChartAxesesByPos('y')>
        <#assign customCode=''>
        <#if ctrl.getPSSysPFPlugin()??>
        <#assign customCode= ctrl.getPSSysPFPlugin().getCode("CODE2",pf.getId(),pfstyle.getId(),view,ctrl,null)> 
        </#if>

        const opts = {
            title: { show: <#if title.isShowTitle()>true<#else>false</#if><#if title.getTitle()??>, text: '${title.getTitle()}'</#if><#if title.getSubTitle()??>, subtext: '${title.getSubTitle()}'</#if> }
            , legend: {}<#if ctrl.getCoordinateSystem()??><#if ctrl.getCoordinateSystem()='XY'>, tooltip: { trigger: 'axis' }
            , xAxis: [
            <#assign first = 1>
            <#list ctrl.getPSDEChartAxeses() as axes>
            <#if axes.getAxesType() == 'category'>
            <#if first==0>, </#if><#assign first = 0>{ aixstag: '${axes.getName()}', type: 'category', position: '${axes.getAxesPos()}'<#if axes.getCaption()??>, name: '${axes.getCaption()}'</#if><#if axes.getMaxValue()??>, max: ${axes.getMaxValue()?c}</#if><#if axes.getMinValue()??>, min: ${axes.getMinValue()?c}</#if> }
            </#if>
            </#list>
            ]
            , yAxis: [
            <#assign first = 1>
            <#list ctrl.getPSDEChartAxeses() as axes>
            <#if axes.getAxesType() == 'numeric'>
            <#if first==0>, </#if><#assign first = 0>{ aixstag: '${axes.getName()}', type: 'value', position: '${axes.getAxesPos()}'<#if axes.getCaption()??>, name: '${axes.getCaption()}'</#if><#if axes.getMaxValue()??>, max: ${axes.getMaxValue()?c}</#if><#if axes.getMinValue()??>, min: ${axes.getMinValue()?c}</#if> }
            </#if>
            </#list>
            ]
            <#elseif ctrl.getCoordinateSystem()='NONE'>, tooltip: { trigger: 'item' }<#else>, tooltip: {}</#if></#if>
            , seriesMap: { 
            <#assign first = 1>
            <#list srflist(ctrl.getPSDEChartSerieses()) as series>
            <#if first==0>, </#if><#assign first = 0>    ${series.getName()}: {type: '${series.getSeriesType()}'<#if series.getCaption()??>, caption: '${series.getCaption()}'</#if><#if series.getXPSChartAxes()??>, xaixstag: '${series.getXPSChartAxes().getName()}'</#if><#if series.getYPSChartAxes()??>, yaixstag: '${series.getYPSChartAxes().getName()}'</#if> }
            </#list>
            }
            , toolbox: { show: true,  feature: { dataView: { show: true, readOnly: true, title: '数据视图' }, saveAsImage: { show: true, title: '保存为图片' }}}
        };
        return opts;
    }
}