<#ibiztemplate>
PUBOBJ=Ionic4.PSIonic4IndexViewViewCode
</#ibiztemplate>
import { Routes, RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';
import { ShareModule } from '@share/share.module';
import { AuthGuard } from 'ibizsys';

import { ${srfclassname('${view.codeName}')} } from './${filename('${view.codeName}')}';

<#list view.getPSAppMenu().getPSAppMenuItems() as item>
<#if item.getPSAppFunc()?? && item.getPSAppFunc().getAppFuncType() == 'APPVIEW' && item.getPSAppFunc().getPSAppView()??>
<#assign funcview= item.getPSAppFunc().getPSAppView()>
<#if item.isOpenDefault()><#assign defaultOpenView = funcview></#if>
</#if>
</#list>

const routes: Routes = [
  {
    path: '',
    redirectTo: '${view.getPSAppModule().codeName?lower_case}_${view.codeName?lower_case}',
    pathMatch: 'full'
  },
  {
    path: '${view.getPSAppModule().codeName?lower_case}_${view.codeName?lower_case}',
    component: ${srfclassname('${view.codeName}')},
    canActivate: [AuthGuard],
    data: { backendurl: '/${app.getPKGCodeName()}/${view.getPSAppModule().codeName}/${view.codeName}.do', accessMode: ${view.getAccUserMode()} },
    children: [
<#if defaultOpenView??>      {
        path: '',
        redirectTo: '${defaultOpenView.codeName?lower_case}',
        pathMatch: 'full',
      },</#if>
<#list view.getPSAppMenu().getPSAppMenuItems() as item>
<#if item.getPSAppFunc()?? && item.getPSAppFunc().getAppFuncType() == 'APPVIEW' && item.getPSAppFunc().getPSAppView()??>
<#assign funcview= item.getPSAppFunc().getPSAppView()>
      {
        path: '${funcview.codeName?lower_case}',
        children: [
          {
            path: '',
            loadChildren: '@pages/${filename('${funcview.getPSAppModule().codeName}')}/${filename('${funcview.codeName}')}/${filename('${funcview.codeName}')}.module#${srfclassname('${funcview.codeName}')}Module'
          }
        ]
      },
</#if>
</#list>
    ]
  }
];

@NgModule({
  imports: [
    RouterModule.forChild(routes)
  ],
  exports: [
    RouterModule
  ]
})
export class ${srfclassname('${view.codeName}')}RouteModule { }

@NgModule({
  imports: [
    ShareModule,
    ${srfclassname('${view.codeName}')}RouteModule
  ],
  declarations: [${srfclassname('${view.codeName}')}]
})
export class ${srfclassname('${view.codeName}')}Module { }