<#ibiztemplate>
PUBOBJ=Ionic4.PSIonic4AppDefaultPageCode
TARGET=PSSYSAPP
</#ibiztemplate>
import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

<#if defaultview??>
const routes: Routes = [
  {
    path: '',
    loadChildren: '@pages/${filename('${defaultview.getPSAppModule().codeName}')}/${filename('${defaultview.codeName}')}/${filename('${defaultview.codeName}')}.module#${srfclassname('${defaultview.codeName}')}Module'
  },

<#-- 是否只发布引用视图 -->
<#if app.isPubRefViewOnly()>
<#-- 所有系统已算出的引用视图 -->
<#assign allView = app.getAllRefPSAppViews()>
<#else>
<#-- 所有系统视图 -->
<#assign allView = app.getAllPSAppViews()>
</#if>
<#if allView??>
<#list allView as view>
<#if view.isRedirectView() != true && (view.codeName != defaultview.codeName) && view.isPickupView() != true>
  {
    path: '${view.getPSAppModule().codeName?lower_case}_${view.codeName?lower_case}',
    loadChildren: '@pages/${filename('${view.getPSAppModule().codeName}')}/${filename('${view.codeName}')}/${filename('${view.codeName}')}.module#${srfclassname('${view.codeName}')}Module'
  },
</#if>
</#list>
</#if>
  {
    path: '**',
    redirectTo: '',
    pathMatch: 'full'
  }
];
<#else>
const routes: Routes = [];
window.alert('请配置系统默认页');
</#if>

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})

export class AppRoutingModule { }