<#ibiztemplate>
PUBOBJ=Ionic4.PSIonic4AppCreateAppBat
TARGET=PSSYSAPP
</#ibiztemplate>
// 应用配置
export const IBizEnvironment = {
    // 应用基础路径
    BaseUrl: '..',
    // 应用名称
    AppName: '${app.getName()}',
    // 应用程序登录模式。(default: 远程登录)(uac: 单点登录)(session: 会话)
    LoginModel: <#if app.isEnableUACLogin()>'uac'<#else>'default'</#if>,
    // 单点登录，跳转地址
    UacLogin: '/uacclient/uaclogin.do',
    // 远程登录地址，本地开发调试使用
    RemoteLogin: '/api/login',
    // 表单项权限标记(true or false)
    formItemPrivTag: <#if app.getPSApplicationUI().isOutputFormItemUpdatePrivTag()??>${app.getPSApplicationUI().isOutputFormItemUpdatePrivTag()?c}<#else>flase</#if>,
    // 表单项无权限显示模式(1: 显示空、*或内容, 2: 隐藏)
    formItemNoPrivDisplayMode: ${app.getPSApplicationUI().getFormItemNoPrivDisplayMode()},
<#if sys.getPSSFId() == "DOTNETCORE">
    // session失效后后台登陆重定向 .NET 版
    LoginRedirect: '/ibizutil/login.html',
    // 登陆地址，session、权限等管理 .NET 版
    AppLogin: '/ibizutil/login.do',
    // 退出登录，注销session .NET 版
    Logout: '/ibizutil/logout',
    // 初始化系统，超级管理员账号等 .NET 版
    InitSystemEnv: '/ibizutil/initsystemenv.do',
    // 安装系统环境数据 .NET 版
    InstallRTData: '/ibizutil/installrtdata.do',
    // PDF文件打印 .NET 版
    PDFPrint: '/ibizutil/print.pdf',
    // PDF报表文件 .NET 版
    PDFReport: '/ibizutil/report.pdf',
    // 文件导出  .NET 版
    ExportFile: '/ibizutil/exportfile',
    // 文件导出  .NET 版
    ExportFile2: '/ibizutil/exportfile2',
    // 文件导出  .NET 版
    ExportFile3: '/ibizutil/exportfile3',
    // 文件上传  .NET 版
    UploadFile: '/ibizutil/uploadfile.do',
    // 导出实体数据导入模板  .NET 版
    ExportExcel: '/ibizutil/exportexcel',
    // 文件上传 .NET 版
    UploadDEData: '/ibizutil/uploaddedata.do',
    <#elseif sys.getPSSFId() == "J2EE6">  
    // session失效后后台登陆重定向
    LoginRedirect: '/${app.getPKGCodeName()?lower_case}/ibizutil/login.html',
    // 登陆地址，session、权限等管理
    AppLogin: '/${app.getPKGCodeName()?lower_case}/ibizutil/login.do',
    // 退出登录，注销session
    Logout: '/${app.getPKGCodeName()?lower_case}/ibizutil/logout',
    // 初始化系统，超级管理员账号等
    InitSystemEnv: '/${app.getPKGCodeName()?lower_case}/ibizutil/initsystemenv.do',
    // 安装系统环境数据
    InstallRTData: '/${app.getPKGCodeName()?lower_case}/ibizutil/installrtdata.do',
    // PDF文件打印
    PDFPrint: '/${app.getPKGCodeName()?lower_case}/ibizutil/print.pdf',
    // PDF报表文件
    PDFReport: '/${app.getPKGCodeName()?lower_case}/ibizutil/report.pdf',
    // 文件导出
    ExportFile: '/${app.getPKGCodeName()?lower_case}/ibizutil/exportfile',
    // 文件导出
    ExportFile2: '/${app.getPKGCodeName()?lower_case}/ibizutil/exportfile2',
    // 文件导出
    ExportFile3: '/${app.getPKGCodeName()?lower_case}/ibizutil/exportfile3',
    // 文件上传
    UploadFile: '/${app.getPKGCodeName()?lower_case}/ibizutil/uploadfile.do',
    // 导出实体数据导入模板
    ExportExcel: '/${app.getPKGCodeName()?lower_case}/ibizutil/exportexcel',
    // 文件上传
    UploadDEData: '/${app.getPKGCodeName()?lower_case}/ibizutil/uploaddedata.do',
    </#if>
};